import { createActionGroup, props } from '@ngrx/store';

import { Block } from '../models';

export const actions = createActionGroup({
    source: `@module.class.name@_block`,
    events: {
        upsertBlock: props<{ block: Block }>(),
        removeBlock: props<{ id: string }>(),
    },
});
